net.sf.okapi.lib.xliff2.metadata

## Enum MetaGroup.AppliesTo

- java.lang.Object
- - java.lang.Enum<MetaGroup.AppliesTo>
  - - net.sf.okapi.lib.xliff2.metadata.MetaGroup.AppliesTo

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MetaGroup.AppliesTo>
  Enclosing class:
    MetaGroup

      public static enum MetaGroup.AppliesTo
      extends java.lang.Enum<MetaGroup.AppliesTo>

  Types of object a meta-group can apply to.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IGNORABLE` The meta-group applies to the ignorable.
    `SOURCE` The meta-group applies to the source.
    `TARGET` The meta-group applies to the target.
    `UNDEFINED` The meta-group does not applies to a specific type of object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MetaGroup.AppliesTo` | `fromString(java.lang.String name)`
    `java.lang.String` | `toString()`
    `static MetaGroup.AppliesTo` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MetaGroup.AppliesTo[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final MetaGroup.AppliesTo UNDEFINED

      The meta-group does not applies to a specific type of object.

    - #### SOURCE

          public static final MetaGroup.AppliesTo SOURCE

      The meta-group applies to the source.

    - #### TARGET

          public static final MetaGroup.AppliesTo TARGET

      The meta-group applies to the target.

    - #### IGNORABLE

          public static final MetaGroup.AppliesTo IGNORABLE

      The meta-group applies to the ignorable.

  - ### Method Detail

    - #### values

          public static MetaGroup.AppliesTo[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MetaGroup.AppliesTo c : MetaGroup.AppliesTo.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MetaGroup.AppliesTo valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<MetaGroup.AppliesTo>`

    - #### fromString

          public static MetaGroup.AppliesTo fromString(java.lang.String name)